Subject: bug#25607: 26.0.50; Ido does not work with tramp anymore

From: Michael Albinus <[email-masked]>
Date: Wed, 15 Feb 2017 19:55:17 +0100

Michael Albinus <[email-masked]> writes:

Hi Cédric,

> Forget this. I've fixed the problem that method, user and host names
> were not completed. There's still the problem that sudo:root@localhost:/
> does not complete. Will continue to work.

I've committed another patch which shall improve the situation. Beside
two changes in ido.el, I've removed some old compat code in Tramp, which
was in the way.

Password is requested now after reaching "/sudo:root@localhost:", it
needs two <TAB>, as Dmitry also said. Don't know why two <TAB> are
needed, but it seems to be an ido feature. I've traced Tramp, and after
the first <TAB> no Tramp function was invoked. Maybe we can live with this.

Feedback welcome. Bootstrapping Emacs might still be needed, 'cause I've
changed the autoloads, again.

Best regards, Michael.